package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaFeedback;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 意见反馈 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaFeedbackMapper extends BaseMapper<TaFeedback> {

    TaFeedback getProfileById(Integer id);

    IPage<TaFeedback> getProfilePage(IPage<TaFeedback> pg, @Param("startDate") LocalDateTime startDate, @Param("endDate") LocalDateTime endDate);

    List<TaFeedback> getProfileList(@Param("startDate") LocalDateTime startDate, @Param("endDate") LocalDateTime endDate);
}
