package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaMiniappMessageTpl;
import io.swagger.annotations.ApiParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 小程序消息模板 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaMiniappMessageTplMapper extends BaseMapper<TaMiniappMessageTpl> {

    TaMiniappMessageTpl selectByType(@ApiParam("messageType") String messageType);

    List<TaMiniappMessageTpl> selectAll();
}
