package com.yunzhi.shigongli.event.listener;

import com.yunzhi.shigongli.event.VerifyResultEvent;
import com.yunzhi.shigongli.service.ITaVerifyTargetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class VerifyResultEventListener implements ApplicationListener<VerifyResultEvent> {

    @Autowired
    ITaVerifyTargetService iTaVerifyTargetService;

    @Override
    public void onApplicationEvent(VerifyResultEvent event) {
        try {
            // 发送消息给商家
            iTaVerifyTargetService.sendVerifyResultNotifyToShop(event.getTaVerifyTarget());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
