package com.yunzhi.shigongli.vo;

import com.yunzhi.shigongli.entity.TaResource;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@ApiModel(description = "收藏内容")
@Data
public class SavedVO extends TaResource {

    @ApiModelProperty(value = "收藏ID")
    private Integer saveId;

    @ApiModelProperty(value = "收藏时间")
    private LocalDateTime saveDate;

    @ApiModelProperty(value = "口味评分")
    private Float sweetScore;

    @ApiModelProperty(value = "环境评分")
    private Float environmentScore;

    @ApiModelProperty(value = "服务评分")
    private Float serviceScore;

    @ApiModelProperty(value = "门市价格")
    private Integer standardPrice;

    @ApiModelProperty(value = "实际价格")
    private Integer actualPrice;

    @ApiModelProperty(value = "返现金额")
    private Integer cashback;

    @ApiModelProperty(value = "距离/米")
    private Integer distance;

    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "父级区域名称")
    private String areaPName;
}
